Subject: Re: fetchmail and cygwin
From: Jason Tishler <[email-masked]>
To: gary marbach <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Mon, 19 Jan 2009 15:08:23 -0500
List-Id: <cygwin.cygwin.com>

Gary,

Please see the following:

    http://cygwin.com/acronyms/#PPIOSPE

On Sun, Jan 18, 2009 at 03:23:19PM -0800, gary marbach wrote:
> Hi. I'm a newb at trying to use Cygwin and fetchmail.  I was checking
> out an article on Cygwin and it seemed like something that could help
> me get my email data out of gmail...so, I thought I'd give it a try
> with Fetchmail.  I'm sure I've messed up the setup somewhere, based on
> the result I'm getting back when I execute the Cygwin command to start
> up fetchmail.  I was hoping you could help me figure out what I've
> messed up on?
> 
> The contents of my .FETCHMAILRC file are:
> poll imap.aol.com with proto POP3 and options no dns
> user paulinemarbach with password xxx is Owner here options ssl
> 
> The result of my query is what I have stored in the attached JPG file
> (hope that presenting it that way is acceptable).

The preferred way is to cut and paste the text -- there was no need to
use an image to convey the pertinent information.

For the archives, the following was the error message:

    fetchmail: getaddrinfo("imap.aol.com","pop3s") error: nodename
    nor servname provided, or not known

> When you get a second, could you see if  I've done something obviously
> incorrect?  I also tried it against my gmail account and that also did
> not work (same failure).

Try adding the following to your services file [1]:

    pop3s             995/tcp                           #POP3 SSL    

YMMV, the above worked for me, but unfortunately not for another Cygwin
user:

    http://www.cygwin.com/ml/cygwin/2006-07/msg00484.html

> Thanks so much.

You are quite welcome.

Jason

[1] The services file is located on my system in:

    C:\WINDOWS\system32\drivers\etc\services

Note the location could be different on your system.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/